Subject: Re: bug#23928: 25.0.95; Performance regression observable with smartparens

From: Dmitry Gutov <[email-masked]>
Date: Sun, 10 Jul 2016 22:17:31 +0300

On 07/10/2016 10:01 PM, Eli Zaretskii wrote:

> Yes, something like that.  I admit I didn't study the code well enough
> to figure out the details.

I have to say that the idea of using the above for changing the value of 
case-fold-search instead of let, is surprising for me. Most of the time, 
one is using let just for that effect.

The fact that it also changes the default values in all buffers is fine, 
for consistency and the principle of least surprise, but paying 
N(number-of-buffers) for that seems high.